# Аренда квартир для студентов
В проекте есть три ветки:
- main — в эту ветку загружается код после положительного тестирования и ревью.
- dev_stable — в эту ветку загружается стабильный код, который будет использоваться в продашкене.
- dev_unstable — основная ветка для разработчиков.
## ТУТ НАЗВАНЫ ПАПКИ ПОД РАЗРАБОТКУ И ФРОНТ В БЕК НЕ ЗАХОДИТ И НИЧЕГО НЕ МЕНЯЕТ!

## Как начать работать?

- Устанавливаем [python](https://www.python.org/downloads/) версия 3.11.1 и [git](https://git-scm.com/) 
- [Настройте git](https://tproger.ru/curriculum/git-guide/). В основном нужно только ввести имя пользователя и почту, пароль запросит при клонировании 

Если не хотите заморачиваться с терминалом. Советую использовать [GitHub Desktop](https://desktop.github.com/)

### Клонирование проекта через терминал

Команды написаны под windows. Вводить в командную строку. Проверяйте, что в терминале вы находитесь в правильной директории

- Клонируем репозиторий
```bash
git clone https://github.com/vvsu-rent-project/dev_rent.github
```
- В консоли переходим в папку проекта
- Далее переходим на ветку unstable 
```bash
git switch dev_unstable
```
### Клонирование проекта через GitHub Desktop

- Заходим в настройки

![Заходим в настройки](README_img/1_step.png)

- Входим в аккаунт

![Входим в аккаунт](README_img/2_step.png)

- Клонируем репозиторий

![Клонируем репозиторий](README_img/3_step.png)

![Клонируем репозиторий](README_img/4_step.png)

### Подготовка проекта к работе
- Открываем VS Code, открываем папку проекта и запускаем терминал
- В терминале переходим в папку pairent_backend
```bash
cd pairent_backend
```
- Создаем виртуальное окружение
```bash
python -m venv venv
```
- Активируем виртуальное окружение. Активировать окружение нужно: когда запускаете сервер, устанавливаете зависимости, добавляете новое django приложение
```bash
venv\Scripts\activate
```
- После активации, устанавливаем зависимости.
```bash
pip install -r requirements.txt

```

```
Поздравляю, вы завершили первый этап

